%define upstream_name    Test-Compile
%define upstream_version v1.3.0

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Check whether Perl module files compile correctly
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Module::Build) >= 0.380.0
BuildRequires: perl(UNIVERSAL::require)
BuildArch:  noarch

%{?perl_default_filter}

%description
Check Perl module files for errors or warnings in a test file.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Sun Nov 15 2015 tv <tv> 1.3.0-1.mga6
+ Revision: 903347
- new release

* Mon Jun 29 2015 sander85 <sander85> 1.2.1-1.mga6
+ Revision: 847935
- update to v1.2.1

* Wed Oct 15 2014 umeabot <umeabot> 1.2.0-4.mga5
+ Revision: 749040
- Second Mageia 5 Mass Rebuild

* Thu Oct 02 2014 tv <tv> 1.2.0-3.mga5
+ Revision: 735983
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 1.2.0-2.mga5
+ Revision: 686417
- Mageia 5 Mass Rebuild

* Sun Aug 10 2014 sander85 <sander85> 1.2.0-1.mga5
+ Revision: 661420
- update to v1.2.0

* Fri Jul 18 2014 sander85 <sander85> 1.1.0-1.mga5
+ Revision: 653621
- update to v1.1.0

* Fri May 02 2014 sander85 <sander85> 1.0.1-1.mga5
+ Revision: 619659
- update to v1.0.1

* Sat Oct 19 2013 umeabot <umeabot> 0.240.0-2.mga4
+ Revision: 527361
- Mageia 4 Mass Rebuild

* Fri Jun 07 2013 jquelin <jquelin> 0.240.0-1.mga4
+ Revision: 439929
- update to 0.24

* Sun Jan 13 2013 umeabot <umeabot> 0.220.0-2.mga3
+ Revision: 373446
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 07 2012 jquelin <jquelin> 0.220.0-1.mga3
+ Revision: 315872
- update to 0.22

* Wed Sep 05 2012 kharec <kharec> 0.210.0-1.mga3
+ Revision: 288540
- update to 0.21

* Fri Aug 31 2012 kharec <kharec> 0.200.0-1.mga3
+ Revision: 286530
- update to 0.20

* Sat Feb 25 2012 kharec <kharec> 0.170.0-1.mga2
+ Revision: 214487
- update to 0.17

* Thu Feb 23 2012 kharec <kharec> 0.160.0-1.mga2
+ Revision: 212517
- update to 0.16

* Wed Jan 25 2012 jquelin <jquelin> 0.140.0-1.mga2
+ Revision: 201037
- update to 0.14

* Mon Jan 24 2011 jquelin <jquelin> 0.130.0-1.mga1
+ Revision: 37713
- mageia rebuild
- imported package perl-Test-Compile

